#!/usr/bin/env bash

STACK=${STACK-default}
HOST=${HOST:-$(hostname)}
PUID=${PUID:-$(id -u)}
PGID=${PGID:-$(id -g)}
PTZ=${PTZ:-$(cat /etc/timezone)}
DOCKER_DIR=${DOCKER_DIR:-"$(cd "$(dirname "$0")"; pwd -P)/docker"}
BASE_TAG=${BASE_TAG:-"2.5.0"}

cat <<-EOF >.env
HOST=$HOST
PUID=$PUID
PGID=$PGID
PTZ=$PTZ
DOCKER_DIR=$DOCKER_DIR
STACK=$STACK
BASE_TAG=$BASE_TAG
EOF

cat .env

# docker network create deminet
# docker compose -f services_compose.yaml pull
# docker compose pull
